package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.BurnContext;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.define.IResetable;
import com.vendor.burn.model.devices.burners.FastbootBurner;
import com.vendor.burn.serial.workers.OneImageBurnerWorker;
import org.eclipse.core.runtime.jobs.IJobChangeListener;
import org.eclipse.core.runtime.jobs.Job;

public class Reseter extends FastbootBurner implements IResetable {
  public Reseter(BurnContext burnContext) {
    super(burnContext);
  }
  
  public void reset(IFastbootProgressMonitor monitor) {
    OneImageBurnerWorker worker = new OneImageBurnerWorker(getFrameSetting(), this);
    IFastbootProgressMonitor fastbootMonitor = IFastbootProgressMonitor.PROGRESSMONITORCOMPOSITE;
    worker.setProgressMonitor(fastbootMonitor);
    Object object = new Object(this, "Reset", worker, fastbootMonitor);
    showProgressDialog((Job)object);
    object.addJobChangeListener((IJobChangeListener)new Object(this, fastbootMonitor));
    object.schedule();
  }
}
